Bug 1297988 - Taking screenshot in current Rawhide fails: "must be convertible to a buffer, not _ResultTuple"
Taking screenshot in current Rawhide fails: "must be convertible to a buffer,...
Status: CLOSED ERRATA
Product: Virtualization Tools
Classification: Community
Component: virt-manager (Show other bugs)
unspecified
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Cole Robinson
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-12 19:12 EST by Adam Williamson
Modified: 2016-03-26 14:02 EDT (History)
4 users (show)

See Also:
Fixed In Version: virt-manager-1.3.2-2.fc23 virt-manager-1.3.2-3.fc24
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-03-24 21:23:57 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Adam Williamson 2016-01-12 19:12:54 EST
Trying to take a screenshot of the guest in virt-manager in current Rawhide - virt-manager-1.3.2-1.fc24.noarch - fails, with this error:

Error taking screenshot: must be convertible to a buffer, not _ResultTuple

Traceback (most recent call last):
  File "/usr/share/virt-manager/virtManager/details.py", line 1455, in control_vm_screenshot
    return self._take_screenshot()
  File "/usr/share/virt-manager/virtManager/details.py", line 1507, in _take_screenshot
    file(filename, "wb").write(ret)
TypeError: must be convertible to a buffer, not _ResultTuple
Comment 1 Cole Robinson 2016-01-15 15:10:11 EST
Thanks for the report, fixed upstream now:

commit f454798b337aedb881671f62fe3b25fad703b768
Author: Cole Robinson <crobinso@redhat.com>
Date:   Fri Jan 15 15:07:58 2016 -0500

    details: Fix screenshot on F24 rawhide (bz 1297988)
Comment 2 Fedora Update System 2016-03-17 11:04:03 EDT
virt-manager-1.3.2-3.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-fe3db5ef67
Comment 3 Fedora Update System 2016-03-17 11:05:10 EDT
virt-manager-1.3.2-2.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-edb0c8d5df
Comment 4 Fedora Update System 2016-03-18 10:56:47 EDT
virt-manager-1.3.2-3.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-fe3db5ef67
Comment 5 Fedora Update System 2016-03-18 21:25:22 EDT
virt-manager-1.3.2-2.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-edb0c8d5df
Comment 6 Fedora Update System 2016-03-24 21:23:50 EDT
virt-manager-1.3.2-2.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2016-03-26 14:02:15 EDT
virt-manager-1.3.2-3.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.